# class Tk::Iwidgets::Canvasprintbox

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

get_output() click to toggle source

    # File lib/tkextlib/iwidgets/canvasprintbox.rb, line 32
    def get_output
      tk_call(@path, 'getoutput')
    end

print() click to toggle source

    # File lib/tkextlib/iwidgets/canvasprintbox.rb, line 36
    def print
      bool(tk_call(@path, 'print'))
    end

refresh() click to toggle source

    # File lib/tkextlib/iwidgets/canvasprintbox.rb, line 40
    def refresh
      tk_call(@path, 'refresh')
      self
    end

set_canvas(win) click to toggle source

    # File lib/tkextlib/iwidgets/canvasprintbox.rb, line 45
    def set_canvas(win)
      tk_call(@path, 'setcanvas', win)
      self
    end

stop() click to toggle source

    # File lib/tkextlib/iwidgets/canvasprintbox.rb, line 50
    def stop
      tk_call(@path, 'stop')
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/iwidgets/canvasprintbox.rb, line 27
    def __boolval_optkeys
      super() << 'stretch'
    end

__strval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__strval_optkeys

    # File lib/tkextlib/iwidgets/canvasprintbox.rb, line 22
    def __strval_optkeys
      super() << 'filename'
    end